Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 22 May 2014 03:27:04 +0000 (UTC)
From:      Hiroki Sato <hrs@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r354765 - in head/cad/klayout: . files
Message-ID:  <201405220327.s4M3R4m7078761@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: hrs
Date: Thu May 22 03:27:03 2014
New Revision: 354765
URL: http://svnweb.freebsd.org/changeset/ports/354765
QAT: https://qat.redports.org/buildarchive/r354765/

Log:
  Fix build on a box where gcc does not exist.

Modified:
  head/cad/klayout/Makefile
  head/cad/klayout/files/patch-build.sh

Modified: head/cad/klayout/Makefile
==============================================================================
--- head/cad/klayout/Makefile	Thu May 22 03:23:50 2014	(r354764)
+++ head/cad/klayout/Makefile	Thu May 22 03:27:03 2014	(r354765)
@@ -29,7 +29,8 @@ PLATFORMKEYWORD=freebsd-32-gcc-release
 
 do-build:
 	cd ${WRKSRC} && \
-	    ${SH} build.sh -platform ${PLATFORMKEYWORD} \
+	    ${SETENV} CC=${CC} CXX=${CXX} \
+		${SH} build.sh -platform ${PLATFORMKEYWORD} \
 		-qtbin ${QT_PREFIX}/bin \
 		-qtinc ${QT_INCDIR} \
 		-qtlib ${QT_LIBDIR}

Modified: head/cad/klayout/files/patch-build.sh
==============================================================================
--- head/cad/klayout/files/patch-build.sh	Thu May 22 03:23:50 2014	(r354764)
+++ head/cad/klayout/files/patch-build.sh	Thu May 22 03:27:03 2014	(r354765)
@@ -1,5 +1,5 @@
 --- build.sh.orig	2014-02-24 05:44:13.000000000 +0900
-+++ build.sh	2014-03-14 21:49:48.000000000 +0900
++++ build.sh	2014-05-22 11:58:57.000000000 +0900
 @@ -1,7 +1,7 @@
  #!/bin/sh 
  
@@ -19,6 +19,15 @@
  *)
    # Assume Linux for the remaining variants
    case `arch` in
+@@ -261,7 +264,7 @@
+   echo "    64 bit coordinates enabled"
+ fi
+ 
+-gcc_path=`type gcc 2>/dev/null`
++gcc_path=`type $CC 2>/dev/null`
+ if [ "$gcc_path" = "" ]; then
+   echo "*** ERROR: unable to locate gcc in path"
+   exit 1
 @@ -284,11 +287,11 @@
    ;;
  esac



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201405220327.s4M3R4m7078761>